Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class ReferrerBeanInfo.LiteratureReferencesEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.beanexplorer.editors.CustomEditorSupport
                  |
                  +--ru.biosoft.access.support.DataCollectionMultyChoicePropertyEditor
                        |
                        +--biouml.standard.type.ReferrerBeanInfo.LiteratureReferencesEditor

public static class ReferrerBeanInfo.LiteratureReferencesEditor
extends DataCollectionMultyChoicePropertyEditor

Constructor Summary
`ReferrerBeanInfo.LiteratureReferencesEditor()`

Method Summary
`DataCollection` | `getDataCollection()`

Methods inherited from class ru.biosoft.access.support.DataCollectionMultyChoicePropertyEditor
`getCustomEditor, getCustomRenderer`

Methods inherited from class com.beanexplorer.editors.CustomEditorSupport
`isPaintable, supportsCustomEditor, actionPerformed, focusGained, focusLost, getBean, setBean, setColor`

Methods inherited from class java.beans.PropertyEditorSupport
`setValue, getValue, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, getCustomEditor, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferrerBeanInfo.LiteratureReferencesEditor

    public ReferrerBeanInfo.LiteratureReferencesEditor()

Method Detail

### getDataCollection

    public DataCollection getDataCollection()
                                      throws java.lang.Exception

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM